__version__ = "0.0.16"

import os

from arcee import config
from arcee.api import get_dalm, get_dalm_status, train_dalm, upload_doc, upload_docs
from arcee.dalm import DALM

if not config.ARCEE_API_KEY:
    # We check this because it's impossible the user imported arcee, _then_ set the env, then imported again
    config.ARCEE_API_KEY = os.getenv("ARCEE_API_KEY", "")
    while not config.ARCEE_API_KEY:
        config.ARCEE_API_KEY = input("ARCEE_API_KEY not found in environment. Please input api key: ")
    os.environ["ARCEE_API_KEY"] = config.ARCEE_API_KEY

__all__ = ["upload_docs", "upload_doc", "train_dalm", "get_dalm", "DALM", "get_dalm_status"]
